/[debian]/bti/trunk/Makefile.in
ViewVC logotype

Contents of /bti/trunk/Makefile.in

Parent Directory Parent Directory | Revision Log Revision Log


Revision 2159 - (show annotations)
Wed May 19 19:27:36 2010 UTC (10 years, 8 months ago) by gregoa
File size: 25908 byte(s)
New upstream release.
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009 Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18
19 VPATH = @srcdir@
20 pkgdatadir = $(datadir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkglibexecdir = $(libexecdir)/@PACKAGE@
24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 bin_PROGRAMS = bti$(EXEEXT)
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
39 $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40 $(top_srcdir)/configure COPYING ChangeLog depcomp install-sh \
41 missing
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45 $(ACLOCAL_M4)
46 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno config.status.lineno
48 mkinstalldirs = $(install_sh) -d
49 CONFIG_CLEAN_FILES =
50 CONFIG_CLEAN_VPATH_FILES =
51 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
52 "$(DESTDIR)$(man1dir)"
53 PROGRAMS = $(bin_PROGRAMS)
54 am_bti_OBJECTS = bti.$(OBJEXT)
55 bti_OBJECTS = $(am_bti_OBJECTS)
56 bti_LDADD = $(LDADD)
57 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
58 am__vpath_adj = case $$p in \
59 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
60 *) f=$$p;; \
61 esac;
62 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
63 am__install_max = 40
64 am__nobase_strip_setup = \
65 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
66 am__nobase_strip = \
67 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
68 am__nobase_list = $(am__nobase_strip_setup); \
69 for p in $$list; do echo "$$p $$p"; done | \
70 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
71 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
72 if (++n[$$2] == $(am__install_max)) \
73 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
74 END { for (dir in files) print dir, files[dir] }'
75 am__base_list = \
76 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
77 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
78 SCRIPTS = $(bin_SCRIPTS)
79 DEFAULT_INCLUDES = -I.@am__isrc@
80 depcomp = $(SHELL) $(top_srcdir)/depcomp
81 am__depfiles_maybe = depfiles
82 am__mv = mv -f
83 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
84 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
85 AM_V_CC = $(am__v_CC_$(V))
86 am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
87 am__v_CC_0 = @echo " CC " $@;
88 AM_V_at = $(am__v_at_$(V))
89 am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
90 am__v_at_0 = @
91 CCLD = $(CC)
92 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
93 AM_V_CCLD = $(am__v_CCLD_$(V))
94 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
95 am__v_CCLD_0 = @echo " CCLD " $@;
96 AM_V_GEN = $(am__v_GEN_$(V))
97 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
98 am__v_GEN_0 = @echo " GEN " $@;
99 SOURCES = $(bti_SOURCES)
100 DIST_SOURCES = $(bti_SOURCES)
101 man1dir = $(mandir)/man1
102 NROFF = nroff
103 MANS = $(dist_man_MANS)
104 ETAGS = etags
105 CTAGS = ctags
106 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
107 distdir = $(PACKAGE)-$(VERSION)
108 top_distdir = $(distdir)
109 am__remove_distdir = \
110 { test ! -d "$(distdir)" \
111 || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
112 && rm -fr "$(distdir)"; }; }
113 DIST_ARCHIVES = $(distdir).tar.gz
114 GZIP_ENV = --best
115 distuninstallcheck_listfiles = find . -type f -print
116 distcleancheck_listfiles = find . -type f -print
117 ACLOCAL = @ACLOCAL@
118 AMTAR = @AMTAR@
119 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120 AUTOCONF = @AUTOCONF@
121 AUTOHEADER = @AUTOHEADER@
122 AUTOMAKE = @AUTOMAKE@
123 AWK = @AWK@
124 CC = @CC@
125 CCDEPMODE = @CCDEPMODE@
126 CFLAGS = @CFLAGS@
127 CPPFLAGS = @CPPFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 DEFS = @DEFS@
130 DEPDIR = @DEPDIR@
131 ECHO_C = @ECHO_C@
132 ECHO_N = @ECHO_N@
133 ECHO_T = @ECHO_T@
134 EXEEXT = @EXEEXT@
135 INSTALL = @INSTALL@
136 INSTALL_DATA = @INSTALL_DATA@
137 INSTALL_PROGRAM = @INSTALL_PROGRAM@
138 INSTALL_SCRIPT = @INSTALL_SCRIPT@
139 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
140 LDFLAGS = @LDFLAGS@
141 LIBCURL = @LIBCURL@
142 LIBCURL_CPPFLAGS = @LIBCURL_CPPFLAGS@
143 LIBOBJS = @LIBOBJS@
144 LIBS = @LIBS@
145 LTLIBOBJS = @LTLIBOBJS@
146 MAKEINFO = @MAKEINFO@
147 MKDIR_P = @MKDIR_P@
148 OBJEXT = @OBJEXT@
149 PACKAGE = @PACKAGE@
150 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
151 PACKAGE_NAME = @PACKAGE_NAME@
152 PACKAGE_STRING = @PACKAGE_STRING@
153 PACKAGE_TARNAME = @PACKAGE_TARNAME@
154 PACKAGE_VERSION = @PACKAGE_VERSION@
155 PATH_SEPARATOR = @PATH_SEPARATOR@
156 SET_MAKE = @SET_MAKE@
157 SHELL = @SHELL@
158 STRIP = @STRIP@
159 VERSION = @VERSION@
160 XML2_CONFIG = @XML2_CONFIG@
161 XML_CPPFLAGS = @XML_CPPFLAGS@
162 XML_LIBS = @XML_LIBS@
163 XSLTPROC = @XSLTPROC@
164 _libcurl_config = @_libcurl_config@
165 abs_builddir = @abs_builddir@
166 abs_srcdir = @abs_srcdir@
167 abs_top_builddir = @abs_top_builddir@
168 abs_top_srcdir = @abs_top_srcdir@
169 ac_ct_CC = @ac_ct_CC@
170 am__include = @am__include@
171 am__leading_dot = @am__leading_dot@
172 am__quote = @am__quote@
173 am__tar = @am__tar@
174 am__untar = @am__untar@
175 bindir = @bindir@
176 build_alias = @build_alias@
177 builddir = @builddir@
178 datadir = @datadir@
179 datarootdir = @datarootdir@
180 docdir = @docdir@
181 dvidir = @dvidir@
182 exec_prefix = @exec_prefix@
183 host_alias = @host_alias@
184 htmldir = @htmldir@
185 includedir = @includedir@
186 infodir = @infodir@
187 install_sh = @install_sh@
188 libdir = @libdir@
189 libexecdir = @libexecdir@
190 localedir = @localedir@
191 localstatedir = @localstatedir@
192 mandir = @mandir@
193 mkdir_p = @mkdir_p@
194 oldincludedir = @oldincludedir@
195 pdfdir = @pdfdir@
196 prefix = @prefix@
197 program_transform_name = @program_transform_name@
198 psdir = @psdir@
199 sbindir = @sbindir@
200 sharedstatedir = @sharedstatedir@
201 srcdir = @srcdir@
202 sysconfdir = @sysconfdir@
203 target_alias = @target_alias@
204 top_build_prefix = @top_build_prefix@
205 top_builddir = @top_builddir@
206 top_srcdir = @top_srcdir@
207 bin_SCRIPTS = \
208 bti-shrink-urls
209
210 bti_SOURCES = \
211 bti.c
212
213 dist_man_MANS = \
214 bti.1 \
215 bti-shrink-urls.1
216
217 EXTRA_DIST = \
218 bti.xml \
219 bti-shrink-urls.xml \
220 bti.example \
221 bti-bashcompletion \
222 RELEASE-NOTES \
223 bti-shrink-urls
224
225 MAINTAINERCLEANFILES = \
226 $(dist_man_MANS)
227
228 PREVIOUS_VERSION = 0`expr $(VERSION) - 1`
229 AUTOMAKE_OPTIONS = foreign
230 all: all-am
231
232 .SUFFIXES:
233 .SUFFIXES: .c .o .obj
234 am--refresh:
235 @:
236 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
237 @for dep in $?; do \
238 case '$(am__configure_deps)' in \
239 *$$dep*) \
240 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
241 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
242 && exit 0; \
243 exit 1;; \
244 esac; \
245 done; \
246 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
247 $(am__cd) $(top_srcdir) && \
248 $(AUTOMAKE) --foreign Makefile
249 .PRECIOUS: Makefile
250 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
251 @case '$?' in \
252 *config.status*) \
253 echo ' $(SHELL) ./config.status'; \
254 $(SHELL) ./config.status;; \
255 *) \
256 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
257 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
258 esac;
259
260 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
261 $(SHELL) ./config.status --recheck
262
263 $(top_srcdir)/configure: $(am__configure_deps)
264 $(am__cd) $(srcdir) && $(AUTOCONF)
265 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
266 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
267 $(am__aclocal_m4_deps):
268 install-binPROGRAMS: $(bin_PROGRAMS)
269 @$(NORMAL_INSTALL)
270 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
271 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
272 for p in $$list; do echo "$$p $$p"; done | \
273 sed 's/$(EXEEXT)$$//' | \
274 while read p p1; do if test -f $$p; \
275 then echo "$$p"; echo "$$p"; else :; fi; \
276 done | \
277 sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
278 -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
279 sed 'N;N;N;s,\n, ,g' | \
280 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
281 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
282 if ($$2 == $$4) files[d] = files[d] " " $$1; \
283 else { print "f", $$3 "/" $$4, $$1; } } \
284 END { for (d in files) print "f", d, files[d] }' | \
285 while read type dir files; do \
286 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
287 test -z "$$files" || { \
288 echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
289 $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
290 } \
291 ; done
292
293 uninstall-binPROGRAMS:
294 @$(NORMAL_UNINSTALL)
295 @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
296 files=`for p in $$list; do echo "$$p"; done | \
297 sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
298 -e 's/$$/$(EXEEXT)/' `; \
299 test -n "$$list" || exit 0; \
300 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
301 cd "$(DESTDIR)$(bindir)" && rm -f $$files
302
303 clean-binPROGRAMS:
304 -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
305 bti$(EXEEXT): $(bti_OBJECTS) $(bti_DEPENDENCIES)
306 @rm -f bti$(EXEEXT)
307 $(AM_V_CCLD)$(LINK) $(bti_OBJECTS) $(bti_LDADD) $(LIBS)
308 install-binSCRIPTS: $(bin_SCRIPTS)
309 @$(NORMAL_INSTALL)
310 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
311 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
312 for p in $$list; do \
313 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
314 if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
315 done | \
316 sed -e 'p;s,.*/,,;n' \
317 -e 'h;s|.*|.|' \
318 -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
319 $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
320 { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
321 if ($$2 == $$4) { files[d] = files[d] " " $$1; \
322 if (++n[d] == $(am__install_max)) { \
323 print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
324 else { print "f", d "/" $$4, $$1 } } \
325 END { for (d in files) print "f", d, files[d] }' | \
326 while read type dir files; do \
327 if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
328 test -z "$$files" || { \
329 echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
330 $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
331 } \
332 ; done
333
334 uninstall-binSCRIPTS:
335 @$(NORMAL_UNINSTALL)
336 @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
337 files=`for p in $$list; do echo "$$p"; done | \
338 sed -e 's,.*/,,;$(transform)'`; \
339 test -n "$$list" || exit 0; \
340 echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
341 cd "$(DESTDIR)$(bindir)" && rm -f $$files
342
343 mostlyclean-compile:
344 -rm -f *.$(OBJEXT)
345
346 distclean-compile:
347 -rm -f *.tab.c
348
349 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bti.Po@am__quote@
350
351 .c.o:
352 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
353 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
354 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
355 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
356 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
357 @am__fastdepCC_FALSE@ $(COMPILE) -c $<
358
359 .c.obj:
360 @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
361 @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
362 @am__fastdepCC_FALSE@ $(AM_V_CC) @AM_BACKSLASH@
363 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
364 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
365 @am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
366 install-man1: $(dist_man_MANS)
367 @$(NORMAL_INSTALL)
368 test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
369 @list=''; test -n "$(man1dir)" || exit 0; \
370 { for i in $$list; do echo "$$i"; done; \
371 l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
372 sed -n '/\.1[a-z]*$$/p'; \
373 } | while read p; do \
374 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
375 echo "$$d$$p"; echo "$$p"; \
376 done | \
377 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
378 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
379 sed 'N;N;s,\n, ,g' | { \
380 list=; while read file base inst; do \
381 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
382 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
383 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
384 fi; \
385 done; \
386 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
387 while read files; do \
388 test -z "$$files" || { \
389 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
390 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
391 done; }
392
393 uninstall-man1:
394 @$(NORMAL_UNINSTALL)
395 @list=''; test -n "$(man1dir)" || exit 0; \
396 files=`{ for i in $$list; do echo "$$i"; done; \
397 l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
398 sed -n '/\.1[a-z]*$$/p'; \
399 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
400 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
401 test -z "$$files" || { \
402 echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
403 cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
404
405 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
406 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
407 unique=`for i in $$list; do \
408 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
409 done | \
410 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
411 END { if (nonempty) { for (i in files) print i; }; }'`; \
412 mkid -fID $$unique
413 tags: TAGS
414
415 TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
416 $(TAGS_FILES) $(LISP)
417 set x; \
418 here=`pwd`; \
419 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
420 unique=`for i in $$list; do \
421 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
422 done | \
423 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
424 END { if (nonempty) { for (i in files) print i; }; }'`; \
425 shift; \
426 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
427 test -n "$$unique" || unique=$$empty_fix; \
428 if test $$# -gt 0; then \
429 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
430 "$$@" $$unique; \
431 else \
432 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
433 $$unique; \
434 fi; \
435 fi
436 ctags: CTAGS
437 CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
438 $(TAGS_FILES) $(LISP)
439 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
440 unique=`for i in $$list; do \
441 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
442 done | \
443 $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
444 END { if (nonempty) { for (i in files) print i; }; }'`; \
445 test -z "$(CTAGS_ARGS)$$unique" \
446 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
447 $$unique
448
449 GTAGS:
450 here=`$(am__cd) $(top_builddir) && pwd` \
451 && $(am__cd) $(top_srcdir) \
452 && gtags -i $(GTAGS_ARGS) "$$here"
453
454 distclean-tags:
455 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
456
457 distdir: $(DISTFILES)
458 @list='$(MANS)'; if test -n "$$list"; then \
459 list=`for p in $$list; do \
460 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
461 if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
462 if test -n "$$list" && \
463 grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
464 echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
465 grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
466 echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
467 echo " typically \`make maintainer-clean' will remove them" >&2; \
468 exit 1; \
469 else :; fi; \
470 else :; fi
471 $(am__remove_distdir)
472 test -d "$(distdir)" || mkdir "$(distdir)"
473 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
474 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
475 list='$(DISTFILES)'; \
476 dist_files=`for file in $$list; do echo $$file; done | \
477 sed -e "s|^$$srcdirstrip/||;t" \
478 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
479 case $$dist_files in \
480 */*) $(MKDIR_P) `echo "$$dist_files" | \
481 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
482 sort -u` ;; \
483 esac; \
484 for file in $$dist_files; do \
485 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
486 if test -d $$d/$$file; then \
487 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
488 if test -d "$(distdir)/$$file"; then \
489 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
490 fi; \
491 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
492 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
493 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
494 fi; \
495 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
496 else \
497 test -f "$(distdir)/$$file" \
498 || cp -p $$d/$$file "$(distdir)/$$file" \
499 || exit 1; \
500 fi; \
501 done
502 -test -n "$(am__skip_mode_fix)" \
503 || find "$(distdir)" -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
504 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
505 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
506 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
507 || chmod -R a+r "$(distdir)"
508 dist-gzip: distdir
509 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
510 $(am__remove_distdir)
511
512 dist-bzip2: distdir
513 tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
514 $(am__remove_distdir)
515
516 dist-lzma: distdir
517 tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
518 $(am__remove_distdir)
519
520 dist-xz: distdir
521 tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
522 $(am__remove_distdir)
523
524 dist-tarZ: distdir
525 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
526 $(am__remove_distdir)
527
528 dist-shar: distdir
529 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
530 $(am__remove_distdir)
531
532 dist-zip: distdir
533 -rm -f $(distdir).zip
534 zip -rq $(distdir).zip $(distdir)
535 $(am__remove_distdir)
536
537 dist dist-all: distdir
538 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
539 $(am__remove_distdir)
540
541 # This target untars the dist file and tries a VPATH configuration. Then
542 # it guarantees that the distribution is self-contained by making another
543 # tarfile.
544 distcheck: dist
545 case '$(DIST_ARCHIVES)' in \
546 *.tar.gz*) \
547 GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
548 *.tar.bz2*) \
549 bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
550 *.tar.lzma*) \
551 unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
552 *.tar.xz*) \
553 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
554 *.tar.Z*) \
555 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
556 *.shar.gz*) \
557 GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
558 *.zip*) \
559 unzip $(distdir).zip ;;\
560 esac
561 chmod -R a-w $(distdir); chmod a+w $(distdir)
562 mkdir $(distdir)/_build
563 mkdir $(distdir)/_inst
564 chmod a-w $(distdir)
565 test -d $(distdir)/_build || exit 0; \
566 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
567 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
568 && am__cwd=`pwd` \
569 && $(am__cd) $(distdir)/_build \
570 && ../configure --srcdir=.. --prefix="$$dc_install_base" \
571 $(DISTCHECK_CONFIGURE_FLAGS) \
572 && $(MAKE) $(AM_MAKEFLAGS) \
573 && $(MAKE) $(AM_MAKEFLAGS) dvi \
574 && $(MAKE) $(AM_MAKEFLAGS) check \
575 && $(MAKE) $(AM_MAKEFLAGS) install \
576 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
577 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
578 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
579 distuninstallcheck \
580 && chmod -R a-w "$$dc_install_base" \
581 && ({ \
582 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
583 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
584 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
585 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
586 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
587 } || { rm -rf "$$dc_destdir"; exit 1; }) \
588 && rm -rf "$$dc_destdir" \
589 && $(MAKE) $(AM_MAKEFLAGS) dist \
590 && rm -rf $(DIST_ARCHIVES) \
591 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
592 && cd "$$am__cwd" \
593 || exit 1
594 $(am__remove_distdir)
595 @(echo "$(distdir) archives ready for distribution: "; \
596 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
597 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
598 distuninstallcheck:
599 @$(am__cd) '$(distuninstallcheck_dir)' \
600 && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
601 || { echo "ERROR: files left after uninstall:" ; \
602 if test -n "$(DESTDIR)"; then \
603 echo " (check DESTDIR support)"; \
604 fi ; \
605 $(distuninstallcheck_listfiles) ; \
606 exit 1; } >&2
607 distcleancheck: distclean
608 @if test '$(srcdir)' = . ; then \
609 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
610 exit 1 ; \
611 fi
612 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
613 || { echo "ERROR: files left in build directory after distclean:" ; \
614 $(distcleancheck_listfiles) ; \
615 exit 1; } >&2
616 check-am: all-am
617 check: check-am
618 all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS)
619 installdirs:
620 for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
621 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
622 done
623 install: install-am
624 install-exec: install-exec-am
625 install-data: install-data-am
626 uninstall: uninstall-am
627
628 install-am: all-am
629 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
630
631 installcheck: installcheck-am
632 install-strip:
633 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
634 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
635 `test -z '$(STRIP)' || \
636 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
637 mostlyclean-generic:
638
639 clean-generic:
640
641 distclean-generic:
642 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
643 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
644
645 maintainer-clean-generic:
646 @echo "This command is intended for maintainers to use"
647 @echo "it deletes files that may require special tools to rebuild."
648 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
649 clean: clean-am
650
651 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
652
653 distclean: distclean-am
654 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
655 -rm -rf ./$(DEPDIR)
656 -rm -f Makefile
657 distclean-am: clean-am distclean-compile distclean-generic \
658 distclean-local distclean-tags
659
660 dvi: dvi-am
661
662 dvi-am:
663
664 html: html-am
665
666 html-am:
667
668 info: info-am
669
670 info-am:
671
672 install-data-am: install-man
673
674 install-dvi: install-dvi-am
675
676 install-dvi-am:
677
678 install-exec-am: install-binPROGRAMS install-binSCRIPTS
679
680 install-html: install-html-am
681
682 install-html-am:
683
684 install-info: install-info-am
685
686 install-info-am:
687
688 install-man: install-man1
689
690 install-pdf: install-pdf-am
691
692 install-pdf-am:
693
694 install-ps: install-ps-am
695
696 install-ps-am:
697
698 installcheck-am:
699
700 maintainer-clean: maintainer-clean-am
701 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
702 -rm -rf $(top_srcdir)/autom4te.cache
703 -rm -rf ./$(DEPDIR)
704 -rm -f Makefile
705 maintainer-clean-am: distclean-am maintainer-clean-generic
706
707 mostlyclean: mostlyclean-am
708
709 mostlyclean-am: mostlyclean-compile mostlyclean-generic
710
711 pdf: pdf-am
712
713 pdf-am:
714
715 ps: ps-am
716
717 ps-am:
718
719 uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man
720
721 uninstall-man: uninstall-man1
722
723 .MAKE: install-am install-strip
724
725 .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
726 clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
727 dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
728 distcheck distclean distclean-compile distclean-generic \
729 distclean-local distclean-tags distcleancheck distdir \
730 distuninstallcheck dvi dvi-am html html-am info info-am \
731 install install-am install-binPROGRAMS install-binSCRIPTS \
732 install-data install-data-am install-dvi install-dvi-am \
733 install-exec install-exec-am install-html install-html-am \
734 install-info install-info-am install-man install-man1 \
735 install-pdf install-pdf-am install-ps install-ps-am \
736 install-strip installcheck installcheck-am installdirs \
737 maintainer-clean maintainer-clean-generic mostlyclean \
738 mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
739 tags uninstall uninstall-am uninstall-binPROGRAMS \
740 uninstall-binSCRIPTS uninstall-man uninstall-man1
741
742
743 %.1: %.xml
744 $(XSLTPROC) -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
745
746 git-clean:
747 rm -f Makefile.in
748
749 distclean-local:
750 rm -rf autom4te.cache
751
752 changelog:
753 @ head -1 ChangeLog | grep -q "to v$(PREVIOUS_VERSION)"
754 @ mv ChangeLog ChangeLog.tmp
755 @ echo "Summary of changes from v$(PREVIOUS_VERSION) to v$(VERSION)" >> ChangeLog
756 @ echo "============================================" >> ChangeLog
757 @ echo >> ChangeLog
758 @ git log --pretty=short $(PREVIOUS_VERSION)..HEAD | git shortlog >> ChangeLog
759 @ echo >> ChangeLog
760 @ cat ChangeLog
761 @ cat ChangeLog.tmp >> ChangeLog
762 @ rm ChangeLog.tmp
763
764 git-release:
765 head -1 ChangeLog | grep -q "to v$(VERSION)"
766 head -1 RELEASE-NOTES | grep -q "bti $(VERSION)"
767 git commit -a -m "release $(VERSION)"
768 cat .git/refs/heads/master > .git/refs/tags/$(VERSION)
769 git gc
770 git prune
771
772 # Tell versions [3.59,3.63) of GNU make to not export all variables.
773 # Otherwise a system limit (for SysV at least) may be exceeded.
774 .NOEXPORT:

  ViewVC Help
Powered by ViewVC 1.1.26